(* $Id: godi_conffile.mli 952 2011-08-25 19:28:52Z gerd $
 * ----------------------------------------------------------------------
 * Copyright 2003 by Gerd Stolpmann. 
 * 
 * This file is part of godi-tools. 
 *
 * godi-tools is free software; you can redistribute it and/or modify it
 * under the conditions in the file LICENSE.
 *
 * godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
 * file LICENSE.
 *)

open Godi_types
open Godi_exec

val modify_godi_conf : 
      ?pref_user_error:bool ->
      ?destfile:Godi_file.filename -> 
      ?opts:(string * string) list ->
      package list -> 
	bool
  (* Modifies the contents of godi.conf such that the build options of the
   * packages are entered into this file.
   * Returns [true] if at least one option has been added or modified.
   *
   * ~pref_user_error: Whether User_error exceptions are preferred over
   * lower-level exceptions. (Default: false)
   *
   * ~destfile: If set, the original godi.conf file remains unmodified,
   * but the file called ~destfile is written.
   *
   * ~opts: further options to enter (e.g. for [GODI_PROFILE]). This
   * list does not effect the return value.
   *)
